# Created by pyp2rpm-3.3.2
%global pypi_name whelk

Name:           python-%{pypi_name}
Version:        2.7.1
Release:        %mkrel 6
Summary:        Easy access to shell commands from python
Group:          Development/Python
License:        None
URL:            http://github.com/seveas/whelk
Source0:        https://files.pythonhosted.org/packages/source/w/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# for docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(cloud-sptheme)

%description
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
We all like python for scripting, because it's so much more powerful than
a shell. But sometimes we really need to call a shell command because it's
so much easier than writing yet another library in python or adding a
dependency.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%doc html
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 2.7.1-6.mga8
+ Revision: 1533981
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 2.7.1-5.mga8
+ Revision: 1446287
- rebuild for python3.8
- drop python2 support

* Sun Aug 25 2019 wally <wally> 2.7.1-4.mga8
+ Revision: 1431913
- update descriptions
- move html docs to python2 and python3 pkgs

* Tue Jan 08 2019 tv <tv> 2.7.1-3.mga7
+ Revision: 1351970
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1290568
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 shlomif <shlomif> 2.7.1-1.mga7
+ Revision: 1246481
- Add BRs
- pyp2rpm

